.p-form__table {
    margin: 70px auto 0;
    position: relative;
    padding-top: 8px;
    max-width: 878px;
}
.p-form__table::before {
    background-color: #e6e6e6;
    content: '';
    height: 1px;
    left: 50%;
    position: absolute;
    top: 0;
    width: 100%;
    max-width: 756px;
    transform: translate(-50%, 0);
}

.p-form__table dl {
    display: flex;
    justify-content: space-between;
    margin-top: 27px;
}

.p-form__table dl dt {
    width: 200px;
    font-feature-settings: 'liga' off;
    font-size: 16px;
    font-weight: 500;
    line-height: 2;
    padding-top: 9px;
}

.p-form__table dl dd {
    width: calc(100% - 200px);
    max-width: 543px;
    font-size: 16px;
    font-weight: 500;
    line-height: 2;
}

.p-form__table dl.--radio dd {
    padding: 9px 0;
}

.p-form__table dl.--name dd {
    display: flex;
    justify-content: space-between;
}

.p-form__table dl.--name dd input {
    width: 48.3%;
}

label.radio {
    margin-right: 30px;
    cursor: pointer;
    display: inline-block;
}

.p-contact__form  .p-form__table dl.--radio dd .--wrapper {
    max-width: 340px;
}

.p-contact__form  .p-form__table dl.--radio dd .--wrapper label:nth-of-type(3),
.p-contact__form  .p-form__table dl.--radio dd .--wrapper label:nth-of-type(4) {
    margin-top: 15px;
}

label.radio input {
    display: none;
}

label.radio span {
    position: relative;
    padding-left: 24px;
}
label.radio span::before {
    background-color: #eaedef;
    content: '';
    height: 14px;
    left: 0;
    position: absolute;
    top: 10px;
    width: 14px;
    border-radius: 100vh;
}
label.radio span::after {
    background-color: #4f60fb;
    content: '';
    height: 8px;
    left: 3px;
    position: absolute;
    top: 13px;
    width: 8px;
    border-radius: 100vh;
    opacity: 0;
}
label.radio input:checked+span::after {
    opacity: 1;
}

.p-form__table input[type="text"],
.p-form__table input[type="email"],
.p-form__table input[type="tel"],
.p-form__table textarea {
    padding: 9px 18px;
    border: #e6e6e6 solid 1px;
    border-radius: 6px;
    width: 100%;
}
.p-form__table textarea {
    min-height: 296px;
    resize: vertical;
}

::placeholder {
    color: #cfcfcf;
    font-weight: 400;
}

.p-form__table input[type="text"]:focus,
.p-form__table input[type="email"]:focus,
.p-form__table input[type="tel"]:focus,
.p-form__table textarea:focus {
    outline: #4f60fb solid 1px;
}

.p-form__agreement {
    text-align: center;
    margin-top: 20px;
    font-feature-settings: 'liga' off;
    font-size: 16px;
    font-weight: 500;
    line-height: 2;
}

label.check {
    cursor: pointer;
}

.p-form__agreement label>span {
    position: relative;
    padding-left: 30px;
}
.p-form__agreement label>span::before {
    background-color: #eaedef;
    content: '';
    height: 18px;
    left: 0;
    position: absolute;
    top: 8px;
    width: 18px;
    border-radius: 4px;
}
.p-form__agreement label>span::after {
    background: url('../images/common/icon_check.svg') no-repeat center center/contain;
    content: '';
    height: 18px;
    left: 0;
    position: absolute;
    top: 8px;
    width: 18px;
    opacity: 0;
}
.p-form__agreement label input:checked+span::after {
    opacity: 1;
}

.p-form__agreement input {
    display: none;
}

.p-form__agreement a {
    text-decoration: underline;
}

.p-form__button {
    text-align: center;
    margin-top: 50px;
    font-feature-settings: 'liga' off;
    font-size: 18px;
    font-weight: 500;
    line-height: 2;
    color: #fff;
}

.p-form__button  button {
    align-items: center;
    border: none;
    color: #FFF;
    display: inline-flex;
    justify-content: center;
    width: 306px;
    height: 80px;
    background-color: #000;
    border-radius: 100vh;
    padding-left: 20px;
}

.p-form__button  button .--wrapper {
    position: relative;
    padding-right: 34px;
}

.p-form__button  button .--wrapper .--txt {
    transition: transform .5s 0s cubic-bezier(.44,.14,.09,1.02);
}

.p-form__button  button .--wrapper img {
    position: absolute;
    width: 9px;
    right: 0;
    top: calc(50% + 1px);
    transform: translate(0, -50%);
    transition: transform .5s 0s cubic-bezier(.44,.14,.09,1.02);
}

@media screen and (min-width: 901px) {
    .p-form__button button:hover .--wrapper .--txt {
        transform: scale(1.08);
    }
    
    .p-form__button button:hover .--wrapper img {
        transform: translate(10px, -50%);
    }
}

@media screen and (max-width: 900px) {
    .p-form__table {
        margin: 35px auto 0;
        padding-top: 12px;
    }
    
    .p-form__table dl {
        display: block;
        margin-top: 18px;
    }
    
    .p-form__table dl dt {
        width: 100%;
        font-size: 15px;
        padding-top: 0;
    }
    
    .p-form__table dl dd {
        width: 100%;
        max-width: unset;
        font-size: 15px;
        font-weight: 500;
        line-height: 2;
        margin-top: 4px;
    }
    
    .p-form__table dl.--radio dd {
        padding: 0;
    }
    
    .p-form__table dl.--name dd input {
        width: 48.3%;
    }

    .p-contact__form  .p-form__table dl.--radio dd .--wrapper {
        max-width: 335px;
    }
    
    .p-contact__form  .p-form__table dl.--radio dd .--wrapper label:nth-of-type(3),
    .p-contact__form  .p-form__table dl.--radio dd .--wrapper label:nth-of-type(4) {
        margin-top: 4px;
    }
    
    label.radio {
        margin-right: 30px;
        cursor: pointer;
    }
    
    label.radio input {
        display: none;
    }
    
    label.radio span {
        position: relative;
        padding-left: 18px;
    }
    label.radio span::before {
        height: 13px;
        top: 9px;
        width: 13px;
    }
    label.radio span::after {
        height: 7px;
        left: 3px;
        top: 12px;
        width: 7px;
    }
    label.radio input:checked+span::after {
        opacity: 1;
    }
    
    .p-form__table textarea {
        min-height: 150px;
    }
    
    .p-form__agreement {
        text-align: center;
        margin-top: 10px;
        font-size: 15px;
    }
    
    label.check {
        cursor: pointer;
    }
    
    .p-form__agreement label>span {
        padding-left: 26px;
    }
    .p-form__agreement label>span::before {
        height: 16px;
        top: 7px;
        width: 16px;
        border-radius: 3px;
    }
    .p-form__agreement label>span::after {
        height: 16px;
        top: 7px;
        width: 16px;
    }
    
    .p-form__agreement input {
        display: none;
    }
    
    .p-form__agreement a {
        text-decoration: underline;
    }
    
    .p-form__button {
        margin-top: 30px;
        font-size: 16px;
    }
    
    .p-form__button  button {
        width: 285px;
        height: 62px;
        padding-left: 0;
    }
    
    .p-form__button  button .--wrapper {
        position: relative;
        padding-right: 0;
        width: 100%;
    }
    
    .p-form__button  button .--wrapper img {
        width: 8px;
        right: 24px;
        top: calc(50% + 1px);
    }
}